import { GetNodesOptions } from './get-nodes-options.js';
export declare class GetNodesOptionsBuilder {
    private _name?;
    private _allClusters?;
    private constructor();
    static builder(): GetNodesOptionsBuilder;
    /**
     * Set the name of the cluster (default "kind").
     * @param name
     */
    name(name: string): GetNodesOptionsBuilder;
    /**
     * Set whether to list all nodes across all cluster contexts (default false).
     * @param allClusters
     */
    allClusters(allClusters: boolean): GetNodesOptionsBuilder;
    /**
     * Build the ExportLogsOptions instance.
     */
    build(): GetNodesOptions;
    static from(options: GetNodesOptions): GetNodesOptionsBuilder;
}
